Bug 1027432 - [abrt] ktp-contact-list-0.6.3-1.fc19: constFind: Process /usr/bin/ktp-contactlist was killed by signal 11 (SIGSEGV)
[abrt] ktp-contact-list-0.6.3-1.fc19: constFind: Process /usr/bin/ktp-contact...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ktp-contact-list (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:e648814c223ba31cb2864fd33e1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 15:01 EST by Shawn Q
Modified: 2015-02-17 14:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:06:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.07 MB, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: core_backtrace (10.00 KB, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: dso_list (13.94 KB, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: environ (1.68 KB, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: maps (69.99 KB, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: open_fds (824 bytes, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2013-11-06 15:01 EST, Shawn Q
no flags Details

  None (edit)
Description Shawn Q 2013-11-06 15:01:12 EST
Description of problem:
If I give you donuts will you fix this, please?

Version-Release number of selected component:
ktp-contact-list-0.6.3-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/ktp-contactlist
crash_function: constFind
executable:     /usr/bin/ktp-contactlist
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct 16 10:36:18 node159 abrt[31752]: Saved core dump of pid 1847 (/usr/bin/ktp-contactlist) to /var/tmp/abrt/ccpp-2013-10-16-10:36:18-1847 (42352640 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 constFind at ../../src/corelib/tools/qhash.h:861
 #1 QSortFilterProxyModelPrivate::create_mapping at itemviews/qsortfilterproxymodel.cpp:318
 #2 QSortFilterProxyModel::rowCount at itemviews/qsortfilterproxymodel.cpp:1690
 #3 QHeaderViewPrivate::_q_layoutAboutToBeChanged at itemviews/qheaderview.cpp:1845
 #4 QMetaObject::activate at kernel/qobject.cpp:3547
 #5 QAbstractItemModel::layoutAboutToBeChanged at .moc/release-shared/moc_qabstractitemmodel.cpp:182
 #6 QSortFilterProxyModelPrivate::_q_sourceDataChanged at itemviews/qsortfilterproxymodel.cpp:1176
 #7 QMetaObject::activate at kernel/qobject.cpp:3547
 #8 QAbstractItemModel::dataChanged at .moc/release-shared/moc_qabstractitemmodel.cpp:163
 #9 QMetaMethod::invoke at kernel/qmetaobject.cpp:1664
Comment 1 Shawn Q 2013-11-06 15:01:17 EST
Created attachment 820703 [details]
File: backtrace
Comment 2 Shawn Q 2013-11-06 15:01:21 EST
Created attachment 820704 [details]
File: cgroup
Comment 3 Shawn Q 2013-11-06 15:01:25 EST
Created attachment 820705 [details]
File: core_backtrace
Comment 4 Shawn Q 2013-11-06 15:01:29 EST
Created attachment 820706 [details]
File: dso_list
Comment 5 Shawn Q 2013-11-06 15:01:32 EST
Created attachment 820707 [details]
File: environ
Comment 6 Shawn Q 2013-11-06 15:01:35 EST
Created attachment 820708 [details]
File: exploitable
Comment 7 Shawn Q 2013-11-06 15:01:38 EST
Created attachment 820709 [details]
File: limits
Comment 8 Shawn Q 2013-11-06 15:01:42 EST
Created attachment 820710 [details]
File: maps
Comment 9 Shawn Q 2013-11-06 15:01:46 EST
Created attachment 820711 [details]
File: open_fds
Comment 10 Shawn Q 2013-11-06 15:01:50 EST
Created attachment 820712 [details]
File: proc_pid_status
Comment 11 Daniel Vrátil 2013-11-07 05:01:41 EST
There's KDE Telepathy 0.7.0 in testing already, it would be great if you could install it and check whether the crash is fixed there.
Comment 12 Shawn Q 2013-11-07 16:56:53 EST
Thank you, Dan.

Unfortunately, obtaining said upgrade forces a bunch of other testing updates from that repo at this time:

# yum info ktp-contact-list
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Installed Packages
Name        : ktp-contact-list
Arch        : x86_64
Version     : 0.6.3
Release     : 1.fc19
Size        : 790 k
Repo        : installed
From repo   : updates
Summary     : Telepathy contact list application
URL         : https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
License     : GPLv2+
Description : Telepathy contact list application.

Available Packages
Name        : ktp-contact-list
Arch        : x86_64
Version     : 0.7.0
Release     : 1.fc19
Size        : 193 k
Repo        : updates-testing/19/x86_64
Summary     : Telepathy contact list application
URL         : https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
License     : GPLv2+
Description : Telepathy contact list application.

# yum update ktp-contact-list
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
adobe-linux-x86_64                                                                                                                                                                                                    |  951 B  00:00:00     
fedora/19/x86_64/metalink                                                                                                                                                                                             |  21 kB  00:00:00     
fedora-debuginfo/19/x86_64/metalink                                                                                                                                                                                   |  19 kB  00:00:00     
rpmfusion-free                                                                                                                                                                                                        | 3.3 kB  00:00:00     
rpmfusion-free-debuginfo                                                                                                                                                                                              | 2.7 kB  00:00:00     
rpmfusion-free-updates                                                                                                                                                                                                | 3.3 kB  00:00:00     
rpmfusion-free-updates-debuginfo                                                                                                                                                                                      | 2.7 kB  00:00:00     
rpmfusion-nonfree                                                                                                                                                                                                     | 3.3 kB  00:00:00     
rpmfusion-nonfree-debuginfo                                                                                                                                                                                           | 2.7 kB  00:00:00     
rpmfusion-nonfree-updates                                                                                                                                                                                             | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates-debuginfo                                                                                                                                                                                   | 2.7 kB  00:00:00     
skype                                                                                                                                                                                                                 | 1.2 kB  00:00:00     
spacewalk-f19-x86_64                                                                                                                                                                                                  | 2.1 kB  00:00:00     
updates/19/x86_64/metalink                                                                                                                                                                                            |  18 kB  00:00:00     
updates-debuginfo/19/x86_64/metalink                                                                                                                                                                                  |  18 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package ktp-contact-list.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-contact-list.x86_64 0:0.7.0-1.fc19 will be an update
--> Processing Dependency: kde-runtime >= 4.11.2 for package: ktp-contact-list-0.7.0-1.fc19.x86_64
--> Processing Dependency: libktpwidgetsprivate.so.6()(64bit) for package: ktp-contact-list-0.7.0-1.fc19.x86_64
--> Processing Dependency: libktpmodelsprivate.so.6()(64bit) for package: ktp-contact-list-0.7.0-1.fc19.x86_64
--> Processing Dependency: libktploggerprivate.so.6()(64bit) for package: ktp-contact-list-0.7.0-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.6()(64bit) for package: ktp-contact-list-0.7.0-1.fc19.x86_64
--> Running transaction check
---> Package kde-runtime.x86_64 0:4.11.1-3.fc19 will be updated
--> Processing Dependency: kde-runtime = 4.11.1-3.fc19 for package: kde-runtime-libs-4.11.1-3.fc19.x86_64
--> Processing Dependency: kde-runtime = 4.11.1-3.fc19 for package: kde-runtime-drkonqi-4.11.1-3.fc19.x86_64
--> Processing Dependency: kde-runtime = 4.11.1-3.fc19 for package: kde-runtime-flags-4.11.1-3.fc19.noarch
---> Package kde-runtime.x86_64 0:4.11.3-1.fc19 will be an update
--> Processing Dependency: oxygen-icon-theme >= 4.11.3 for package: kde-runtime-4.11.3-1.fc19.x86_64
--> Processing Dependency: nepomuk-core >= 4.11.3 for package: kde-runtime-4.11.3-1.fc19.x86_64
---> Package ktp-common-internals.x86_64 0:0.6.3-1.fc19 will be updated
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-call-ui-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-kded-integration-module-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-filetransfer-handler-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-auth-handler-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-desktop-applets-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-send-file-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-text-ui-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpcommoninternalsprivate.so.5()(64bit) for package: ktp-accounts-kcm-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpmodelsprivate.so.5()(64bit) for package: ktp-call-ui-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpmodelsprivate.so.5()(64bit) for package: ktp-accounts-kcm-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpmodelsprivate.so.5()(64bit) for package: ktp-text-ui-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpmodelsprivate.so.5()(64bit) for package: ktp-desktop-applets-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpmodelsprivate.so.5()(64bit) for package: ktp-send-file-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpwidgetsprivate.so.5()(64bit) for package: ktp-send-file-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpwidgetsprivate.so.5()(64bit) for package: ktp-desktop-applets-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpwidgetsprivate.so.5()(64bit) for package: ktp-text-ui-0.6.3-1.fc19.x86_64
--> Processing Dependency: libktpwidgetsprivate.so.5()(64bit) for package: ktp-call-ui-0.6.3-1.fc19.x86_64
---> Package ktp-common-internals.x86_64 0:0.7.0-1.fc19 will be an update
--> Processing Dependency: libkpeoplewidgets.so.1()(64bit) for package: ktp-common-internals-0.7.0-1.fc19.x86_64
--> Processing Dependency: libkpeople.so.1()(64bit) for package: ktp-common-internals-0.7.0-1.fc19.x86_64
--> Running transaction check
---> Package kde-runtime-drkonqi.x86_64 0:4.11.1-3.fc19 will be updated
---> Package kde-runtime-drkonqi.x86_64 0:4.11.3-1.fc19 will be an update
---> Package kde-runtime-flags.noarch 0:4.11.1-3.fc19 will be updated
---> Package kde-runtime-flags.noarch 0:4.11.3-1.fc19 will be an update
---> Package kde-runtime-libs.x86_64 0:4.11.1-3.fc19 will be updated
---> Package kde-runtime-libs.x86_64 0:4.11.3-1.fc19 will be an update
--> Processing Dependency: kdelibs4(x86-64) >= 4.11.3 for package: kde-runtime-libs-4.11.3-1.fc19.x86_64
---> Package ktp-accounts-kcm.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-accounts-kcm.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-auth-handler.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-auth-handler.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-call-ui.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-call-ui.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-desktop-applets.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-desktop-applets.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-filetransfer-handler.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-filetransfer-handler.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-kded-integration-module.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-kded-integration-module.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-send-file.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-send-file.x86_64 0:0.7.0-1.fc19 will be an update
---> Package ktp-text-ui.x86_64 0:0.6.3-1.fc19 will be updated
---> Package ktp-text-ui.x86_64 0:0.7.0-1.fc19 will be an update
---> Package libkpeople.x86_64 0:0.0.80-1.fc19 will be installed
---> Package nepomuk-core.x86_64 0:4.11.1-1.fc19 will be updated
--> Processing Dependency: nepomuk-core = 4.11.1-1.fc19 for package: nepomuk-core-libs-4.11.1-1.fc19.x86_64
---> Package nepomuk-core.x86_64 0:4.11.3-1.fc19 will be an update
---> Package oxygen-icon-theme.noarch 0:4.11.1-1.fc19 will be updated
---> Package oxygen-icon-theme.noarch 0:4.11.3-1.fc19 will be an update
--> Running transaction check
---> Package kdelibs.x86_64 6:4.11.1-4.fc19 will be updated
---> Package kdelibs.x86_64 6:4.11.3-1.fc19 will be an update
--> Processing Dependency: kdelibs-common = 6:4.11.3-1.fc19 for package: 6:kdelibs-4.11.3-1.fc19.x86_64
---> Package nepomuk-core-libs.x86_64 0:4.11.1-1.fc19 will be updated
---> Package nepomuk-core-libs.x86_64 0:4.11.3-1.fc19 will be an update
--> Running transaction check
---> Package kdelibs-common.x86_64 6:4.11.1-4.fc19 will be updated
---> Package kdelibs-common.x86_64 6:4.11.3-1.fc19 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                             Arch                                           Version                                                    Repository                                               Size
=============================================================================================================================================================================================================================================
Updating:
 kde-runtime                                                         x86_64                                         4.11.3-1.fc19                                              updates-testing                                         8.1 M
 kdelibs                                                             x86_64                                         6:4.11.3-1.fc19                                            updates-testing                                          11 M
 ktp-accounts-kcm                                                    x86_64                                         0.7.0-1.fc19                                               updates-testing                                         390 k
 ktp-auth-handler                                                    x86_64                                         0.7.0-1.fc19                                               updates-testing                                          91 k
 ktp-call-ui                                                         x86_64                                         0.7.0-1.fc19                                               updates-testing                                         193 k
 ktp-contact-list                                                    x86_64                                         0.7.0-1.fc19                                               updates-testing                                         193 k
 ktp-desktop-applets                                                 x86_64                                         0.7.0-1.fc19                                               updates-testing                                         100 k
 ktp-filetransfer-handler                                            x86_64                                         0.7.0-1.fc19                                               updates-testing                                          78 k
 ktp-kded-integration-module                                         x86_64                                         0.7.0-1.fc19                                               updates-testing                                         137 k
 ktp-send-file                                                       x86_64                                         0.7.0-1.fc19                                               updates-testing                                          52 k
 ktp-text-ui                                                         x86_64                                         0.7.0-1.fc19                                               updates-testing                                         529 k
Installing for dependencies:
 libkpeople                                                          x86_64                                         0.0.80-1.fc19                                              updates-testing                                         132 k
Updating for dependencies:
 kde-runtime-drkonqi                                                 x86_64                                         4.11.3-1.fc19                                              updates-testing                                         195 k
 kde-runtime-flags                                                   noarch                                         4.11.3-1.fc19                                              updates-testing                                         136 k
 kde-runtime-libs                                                    x86_64                                         4.11.3-1.fc19                                              updates-testing                                         1.2 M
 kdelibs-common                                                      x86_64                                         6:4.11.3-1.fc19                                            updates-testing                                         1.8 M
 ktp-common-internals                                                x86_64                                         0.7.0-1.fc19                                               updates-testing                                         687 k
 nepomuk-core                                                        x86_64                                         4.11.3-1.fc19                                              updates-testing                                         583 k
 nepomuk-core-libs                                                   x86_64                                         4.11.3-1.fc19                                              updates-testing                                         284 k
 oxygen-icon-theme                                                   noarch                                         4.11.3-1.fc19                                              updates-testing                                          29 M

Transaction Summary
=============================================================================================================================================================================================================================================
Install              ( 1 Dependent package)
Upgrade  11 Packages (+8 Dependent packages)

Total download size: 55 M
Is this ok [y/d/N]:


I'll give it a shot maybe this weekend and see what happens, a little too jammed for time today.
Comment 13 Shawn Q 2013-11-12 11:58:20 EST
Alright so I performed the update and since last Friday and I haven't seen a crash since - problem might have been solved.  One regret:  It seems the "group by account" option in the contact list has vanished, can this be returned?
Comment 14 Fedora End Of Life 2015-01-09 15:29:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 14:06:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.